table.has = function(tabl, value)
	for i,v in pairs(tabl) do
		if value == item then return true end
	end
	return false
end

table.length = function(tabl)
	local count = 0
	for i,v in pairs(tabl) do
		count = count + 1
	end
	return count
end

function love.load()
	newpixels = {}
  canvas=love.graphics.newCanvas(love.graphics.getWidth(), love.graphics.getHeight())
end

function love.update()
	pos = {love.mouse.getX(), love.mouse.getY()}
	if(love.mouse.isDown("r"))then
    canvas=love.graphics.newCanvas(love.graphics.getWidth(), love.graphics.getHeight())
	end
	if(love.mouse.isDown("l"))then
		table.insert(newpixels, pos)
	end
end

function love.draw()
	love.graphics.setColor(255,255,255)
  if #newpixels>0 then
    love.graphics.setCanvas(canvas)
	  for i,v in ipairs(newpixels) do
	  	love.graphics.point(v[1], v[2])
	  end
    love.graphics.setCanvas()
  end
  love.graphics.draw(canvas, 0, 0)
	love.graphics.print(love.timer.getFPS(), 10, 10)
	love.graphics.print("Amount of pixels being drawn: "..table.length(newpixels), 10, 30)
end
